org.codehaus.plexus.logging

## Class AbstractLogEnabled

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled

All Implemented Interfaces:
  LogEnabled

Direct Known Subclasses:
  DefaultComponentRepository, DefaultPlexusContainer

    public abstract class AbstractLogEnabled
    extends java.lang.Object
    implements LogEnabled

Version:
  $Id: AbstractLogEnabled.java 7089 2007-11-25 15:19:06Z jvanzyl $
Author:
  Jason van Zyl, Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`AbstractLogEnabled()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enableLogging(Logger logger)`
`protected Logger` `getLogger()`
`protected void` `setupLogger(java.lang.Object component)`
`protected void` `setupLogger(java.lang.Object component, Logger logger)`
`protected void` `setupLogger(java.lang.Object component, java.lang.String subCategory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractLogEnabled

    public AbstractLogEnabled()

### Method Detail

#### enableLogging

    public void enableLogging(Logger logger)

Specified by:
  `enableLogging` in interface `LogEnabled`

#### getLogger

    protected Logger getLogger()

#### setupLogger

    protected void setupLogger(java.lang.Object component)

#### setupLogger

    protected void setupLogger(java.lang.Object component,
                               java.lang.String subCategory)

#### setupLogger

    protected void setupLogger(java.lang.Object component,
                               Logger logger)